<table>
  <thead>
    <tr>
      <td>Name</td>
      <td>Latitude</td>
      <td>Longitude</td>
    </tr>
  </thead>
  <tr *ngFor="let point of points" >
    <td>{{point.name}}</td>
    <td>{{point.latitude}}</td>
    <td>{{point.longitude}}</td>
  </tr>
  <tr>
    <td><input type="text" [(ngModel)]="points.name"></td>
    <td><input type="text" [(ngModel)]="points.latitude"></td>
    <td><input type="text" [(ngModel)]="points.longitude"></td>
  </tr>
</table>
<button (click)="addPoint()">Add Point</button>

